<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.crawler.modules.oceanengine.mapper.DouyinHotMapper">

    <insert id="replaceBatch">
        replace into ctop_oceanengine_douyin_hot(
        id,
        mid,
        video_id,
        user_id,
        user_name,
        title,
        head_image_uri,
        play,
        like_cnt,
        comment,
        share)
        values
        <foreach collection="list" item="item" separator=",">
            (
            #{item.id},
            #{item.mid},
            #{item.videoId},
            #{item.userId},
            #{item.userName},
            #{item.title},
            #{item.headImageUri},
            #{item.play},
            #{item.likeCnt},
            #{item.comment},
            #{item.share})
        </foreach>
    </insert>
</mapper>